<?php
session_start();

// Admin credentials (in real scenario, store securely/hashed)
$admin_username = "admin";
$admin_password = "admin";

// Handle Admin Login
if (isset($_POST['admin_login'])) {
    if ($_POST['username'] === $admin_username && $_POST['password'] === $admin_password) {
        $_SESSION['admin_logged_in'] = true;
    } else {
        $login_error = "Invalid credentials!";
    }
}

// Handle Admin Logout
if (isset($_GET['logout'])) {
    session_unset();
    session_destroy();
    header("Location: ".$_SERVER['PHP_SELF']);
    exit;
}

// Simulated company database stored in session
if (!isset($_SESSION["companies"])) {
    $_SESSION["companies"] = [
        ["company_name" => "Tech Innovations Ltd", "company_number" => "12345", "status" => "Active", "phone" => "08012345678", "email" => "info@techinnovations.com"],
        ["company_name" => "Open Innovations Ltd", "company_number" => "12845", "status" => "Active", "phone" => "08123456789", "email" => "contact@openinnovations.com"],
        ["company_name" => "Green Energy Corp", "company_number" => "67890", "status" => "Active", "phone" => "07098765432", "email" => "support@greenenergy.com"],
        ["company_name" => "Blue Ocean Enterprises", "company_number" => "54321", "status" => "Inactive", "phone" => "09087654321", "email" => "sales@blueocean.com"]
    ];
}

$companies = &$_SESSION["companies"];

// Handle Add, Edit, and Delete Actions
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if (!isset($_SESSION['admin_logged_in'])) die("Unauthorized access!");
    
    if (isset($_POST["add"])) {
        $newCompany = [
            "company_name" => $_POST["company_name"],
            "company_number" => $_POST["company_number"],
            "status" => $_POST["status"],
            "phone" => $_POST["phone"],
            "email" => $_POST["email"]
        ];
        $companies[] = $newCompany;
    } elseif (isset($_POST["edit"])) {
        $index = $_POST["index"];
        $companies[$index] = [
            "company_name" => $_POST["company_name"],
            "company_number" => $_POST["company_number"],
            "status" => $_POST["status"],
            "phone" => $_POST["phone"],
            "email" => $_POST["email"]
        ];
    } elseif (isset($_POST["delete"])) {
        $index = $_POST["index"];
        array_splice($companies, $index, 1);
    }
    header("Location: " . $_SERVER["PHP_SELF"]);
    exit;
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <title>NIGER STATE SME AGENCY</title>
    <link rel="icon" href="./images/icon.png" type="image/gif" sizes="16x16">
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type">
    <meta content="width=device-width, initial-scale=1.0" name="viewport" >
    <meta content="NIGER STATE SME AGENCY" name="description" >
    <meta content="" name="keywords" >
    <meta content="" name="author" >
    <!-- CSS Files
    ================================================== -->
    <link href="css/bootstrap.min.css" rel="stylesheet" type="text/css" id="bootstrap">
    <link href="css/plugins.css" rel="stylesheet" type="text/css" >
    <link href="css/swiper.css" rel="stylesheet" type="text/css" >
    <link href="css/style.css" rel="stylesheet" type="text/css" >
    <link href="css/coloring.css" rel="stylesheet" type="text/css" >
    <!-- color scheme -->
    <link id="colors" href="css/colors/scheme-01.css" rel="stylesheet" type="text/css" >
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css">
    <style>
     .status-active { color: green; font-weight: bold; }
    .status-inactive { color: red; font-weight: bold; }
    .search-results { margin-top: 20px; }
        .admin-panel { display: <?= isset($_SESSION['admin_logged_in']) ? 'block' : 'none' ?>; }
    </style>
</head>
<body>
<div id="wrapper">
        <div class="float-text show-on-scroll">
            <span><a href="homepage-3.html#">Scroll to top</a></span>
        </div>
        <div class="scrollbar-v show-on-scroll"></div>
        
        <!-- page preloader begin -->
        <div id="de-loader"></div>
        <!-- page preloader close -->

        <!-- header begin -->
        <header class="transparent scroll-light has-topbar">
            <div id="topbar">
                <div class="container">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="d-flex justify-content-between xs-hide">
                                <div class="header-widget d-flex">
                                    <div class="topbar-widget"><a href="homepage-3.html#"><i class="icofont-location-pin"></i>1st floor, Abdullahi Kure House
Niger State supply company, Muazu Muhammad road
Minna, Niger State.</a></div>                                    
                                    <div class="topbar-widget"><a href="homepage-3.html#"><i class="icofont-clock-time"></i><span>Mon - Fri: 8AM - 4PM</span><span class="ms-3"></a></div>
                                    <div class="topbar-widget"><a href="homepage-3.html#"><i class="icofont-envelope"></i>Niger Statesmeagency@gmail.com</a></div>
                                </div>
                                
                                <div class="social-icons">
                                    <a href="homepage-3.html#"><i class="fa-brands fa-facebook fa-lg"></i></a>
                                    <a href="homepage-3.html#"><i class="fa-brands fa-x-twitter fa-lg"></i></a>
                                    <a href="homepage-3.html#"><i class="fa-brands fa-youtube fa-lg"></i></a>
                                    <a href="homepage-3.html#"><i class="fa-brands fa-pinterest fa-lg"></i></a>
                                    <a href="homepage-3.html#"><i class="fa-brands fa-instagram fa-lg"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                </div>
            </div>
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <div class="de-flex sm-pt10">
                            <div class="de-flex-col">
                                <!-- logo begin -->
                                <div id="logo">
                                    <a href="index.html">
                                        <img class="logo-main" src="images/logo.webp" alt="" >
                                        <img class="logo-scroll" src="images/logo-black.webp" alt="" >
                                        <img class="logo-mobile" src="images/logo.webp" alt="" >
                                    </a>
                                </div>
                                <!-- logo close -->
                            </div>
                            <div class="de-flex-col header-col-mid">
                                <ul id="mainmenu">
                                    <li><a class="menu-item" href="index.html">Home</a>
                                        <!-- <ul>
                                            <li><a class="menu-item" href="index.html">Homepage One</a></li>
                                            <li><a class="menu-item" href="homepage-2.html">Homepage Two</a></li>
                                            <li><a class="menu-item" href="homepage-3.html">Homepage Three</a></li>
                                            <li><a class="menu-item" href="homepage-4.html">Homepage Four</a></li>
                                        </ul> -->
                                    </li>
                                    <li><a class="menu-item" href="#">About Us</a>
                                        <ul>
                                        <li><a class="menu-item" href="about.html">Who we are</a></li>
                                        <li><a class="menu-item" href="team.html">Our-Team</a></li>
                                            <li><a class="menu-item" href="Niger State.html">About Niger State</a></li>

                                            <!-- <li><a class="menu-item" href="#">Appointment</a></li> -->
                                        </ul>

                                    </li>


                                    <li><a class="menu-item" href="index.html#">Our Programs</a>
                                   <ul>
                                            <li><a class="menu-item" href="#">Niger State Entrepreneurship Development Program</a></li>
                                            <li><a class="menu-item" href="#">Small Business Loan Scheme</a></li>
                                            <li><a class="menu-item" href="#">Women and Youth Empowerment Program </a></li>
                                            <li><a class="menu-item" href="#">Micro Enterprise Development Program</a></li>
                                            <li><a class="menu-item" href="#">NIGER STATE SME  Excellence Awards</a></li>
                                        </ul>
                                    </li>
                                    <!-- <li><a class="menu-item" href="study-case.html">Study Case</a></li> -->
                                    <li><a class="menu-item" href="blog.html">News</a></li>
                                    <li><a class="menu-item" href="testimony.html">Testimonies</a></li>
                                    <li><a class="menu-item" href="contact.html">Contact</a></li>
                                </ul>
                            </div>
                            <div class="de-flex-col">
                                <div class="menu_side_area">
                                    <div class="h-phone xs-hide">
                                        <i class="icofont-headphone-alt"></i>
                                        <span>Need Help?</span>+234806 950 4647
                                    </div>                                    
                                    <!-- <a href="contact.html" class="btn-main d-xl-block d-md-none">Make Appointment</a> -->
                                    <span id="menu-btn"></span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </header>
        <!-- header close -->
        <!-- content begin -->
        <div class="no-bottom no-top" id="content">

            <div id="top"></div>

            <section class="text-light section-dark pt80 no-bottom jarallax">
                <img src="images/background/1.webp" class="jarallax-img" alt="">
                <div class="container">
                    <div class="row g-4 align-items-center">
                        <div class="col-lg-6">
                            <h1 class="mb-1">COMPANY-SEARCH</h1>
                            <p>Search for registered companies by name, number, phone, or email.</p>
                            
                            <!-- Search Form -->
                            <form method="POST">
                                <input type="text" name="query" class="form-control mb-3" placeholder="Enter Company Name, Number, Phone, or Email" required>
                                <button type="submit" class="btn btn-primary">Search</button>
                            </form>
                
                            <!-- Output Section -->
                            <div class="search-results">
                                <?php
                                // Simulated company database as an array
                                $companies = [
                                    ["company_name" => "Tech Innovations Ltd", "company_number" => "12345", "status" => "Active", "phone" => "08012345678", "email" => "info@techinnovations.com"],
                                    ["company_name" => "Open Innovations Ltd", "company_number" => "12845", "status" => "Active", "phone" => "08123456789", "email" => "contact@openinnovations.com"],
                                    ["company_name" => "Green Energy Corp", "company_number" => "67890", "status" => "Active", "phone" => "07098765432", "email" => "support@greenenergy.com"],
                                    ["company_name" => "Blue Ocean Enterprises", "company_number" => "54321", "status" => "Inactive", "phone" => "09087654321", "email" => "sales@blueocean.com"]
                                ];
                
                                if ($_SERVER["REQUEST_METHOD"] == "POST") {
                                    $query = trim($_POST["query"]);
                                    $foundCompanies = [];
                
                                    foreach ($companies as $company) {
                                        if (
                                            stripos($company["company_name"], $query) !== false || 
                                            $company["company_number"] === $query || 
                                            $company["phone"] === $query || 
                                            stripos($company["email"], $query) !== false
                                        ) {
                                            $foundCompanies[] = $company;
                                        }
                                    }
                
                                    if (count($foundCompanies) > 0) {
                                        echo "<h3>Search Results:</h3>";
                                        foreach ($foundCompanies as $company) {
                                            echo "<div class='p-3 border rounded mb-3'>";
                                            echo "<p><strong>Name:</strong> " . $company['company_name'] . "</p>";
                                            echo "<p><strong>Company Number:</strong> " . $company['company_number'] . "</p>";
                                            // echo "<p><strong>Phone:</strong> " . $company['phone'] . "</p>";
                                            // echo "<p><strong>Email:</strong> " . $company['email'] . "</p>";
                                            echo "<p><strong>Status:</strong> <span class='" . ($company['status'] == 'Active' ? 'status-active' : 'status-inactive') . "'>" . $company['status'] . "</span></p>";
                                            echo "</div>";
                                        }
                                    } else {
                                        echo "<p style='color: red;'>No company found.</p>";
                                    }
                                }
                                ?>
                            </div>
                
                        </div>
                        <div class="col-lg-6">
                            <img src="images/misc/1.webp" class="img-fluid" alt="">
                        </div>
                    </div>
                </div>
            </section>

             


        </div>

    <?php if(isset($_SESSION['admin_logged_in'])): ?>
    <!-- Company Management Panel -->
    <div class="admin-panel container mt-5">
    <h2 class="mb-4">Company Management</h2>

<!-- Add New Company Form -->
<form method="POST" class="mb-4 border p-3 rounded">
    <h4>Add New Company</h4>
    <div class="mb-2">
        <label>Company Name:</label>
        <input type="text" name="company_name" class="form-control" required>
    </div>
    <div class="mb-2">
        <label>Company Number:</label>
        <input type="text" name="company_number" class="form-control" required>
    </div>
    <div class="mb-2">
        <label>Status:</label>
        <select name="status" class="form-control">
            <option value="Active">Active</option>
            <option value="Inactive">Inactive</option>
        </select>
    </div>
    <div class="mb-2">
        <label>Phone:</label>
        <input type="text" name="phone" class="form-control" required>
    </div>
    <div class="mb-2">
        <label>Email:</label>
        <input type="email" name="email" class="form-control" required>
    </div>
    <button type="submit" name="add" class="btn btn-success mt-2">Add Company</button>
</form>

<!-- Display Companies -->
<table class="table table-bordered">
    <thead class="table-dark">
        <tr>
            <th>#</th>
            <th>Company Name</th>
            <th>Company Number</th>
            <th>Status</th>
            <th>Phone</th>
            <th>Email</th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody>
        <?php foreach ($companies as $index => $company): ?>
            <tr>
                <td><?= $index + 1 ?></td>
                <td><?= htmlspecialchars($company["company_name"]) ?></td>
                <td><?= htmlspecialchars($company["company_number"]) ?></td>
                <td class="<?= $company["status"] == "Active" ? 'text-success' : 'text-danger' ?>">
                    <?= htmlspecialchars($company["status"]) ?>
                </td>
                <td><?= htmlspecialchars($company["phone"]) ?></td>
                <td><?= htmlspecialchars($company["email"]) ?></td>
                <td>
                    <!-- Edit Button -->
                    <button class="btn btn-primary btn-sm" onclick="editCompany(<?= $index ?>)">Edit</button>

                    <!-- Delete Form -->
                    <form method="POST" style="display:inline;">
                        <input type="hidden" name="index" value="<?= $index ?>">
                        <button type="submit" name="delete" class="btn btn-danger btn-sm">Delete</button>
                    </form>
                </td>
            </tr>
        <?php endforeach; ?>
    </tbody>
</table>

<!-- Edit Company Form (Hidden) -->
<div id="editForm" class="mb-4 border p-3 rounded" style="display: none;">
    <h4>Edit Company</h4>
    <form method="POST">
        <input type="hidden" name="index" id="editIndex">
        <div class="mb-2">
            <label>Company Name:</label>
            <input type="text" name="company_name" id="editCompanyName" class="form-control" required>
        </div>
        <div class="mb-2">
            <label>Company Number:</label>
            <input type="text" name="company_number" id="editCompanyNumber" class="form-control" required>
        </div>
        <div class="mb-2">
            <label>Status:</label>
            <select name="status" id="editStatus" class="form-control">
                <option value="Active">Active</option>
                <option value="Inactive">Inactive</option>
            </select>
        </div>
        <div class="mb-2">
            <label>Phone:</label>
            <input type="text" name="phone" id="editPhone" class="form-control" required>
        </div>
        <div class="mb-2">
            <label>Email:</label>
            <input type="email" name="email" id="editEmail" class="form-control" required>
        </div>
        <button type="submit" name="edit" class="btn btn-warning mt-2">Update Company</button>
    </form>
</div>
        <!-- Logout Button -->
        <div class="text-end mb-4">
            <a href="?logout" class="btn btn-danger">Logout</a>
        </div>
    </div>
    <?php endif; ?>

    <!-- Admin Login Modal -->
    <div class="modal fade" id="adminLoginModal" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <form method="POST">
                    <div class="modal-header">
                        <h5 class="modal-title">Admin Login</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
                    </div>
                    <div class="modal-body">
                        <?php if(isset($login_error)): ?>
                            <div class="alert alert-danger"><?= $login_error ?></div>
                        <?php endif; ?>
                        <div class="mb-3">
                            <label>Username</label>
                            <input type="text" name="username" class="form-control" required>
                        </div>
                        <div class="mb-3">
                            <label>Password</label>
                            <input type="password" name="password" class="form-control" required>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <button type="submit" name="admin_login" class="btn btn-primary">Login</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <!-- Add to Footer -->
    <div class="text-center py-3">
        <button class="btn btn-link" data-bs-toggle="modal" data-bs-target="#adminLoginModal">Admin</button>
    </div>
  <!-- footer begin -->
  <footer class="footer-light">
            <div class="container relative z-1000">
                <div class="row gx-5">
                    <div class="col-lg-4 col-sm-6">
                        <img src="images/logo-black.webp" alt="" style="width: 290px;">
                        <div class="spacer-20"></div>
                        <p>At NIGER STATE SME AGENCY, we understand that running a business can come with its challenges, and seeking the right support can be a critical step. That's why our team of dedicated professionals is here to provide you with the expert guidance and tailored solutions your business deserves.</p>
                        
                    </div>
                    <div class="col-lg-4 col-sm-12 order-lg-1 order-sm-2">
                        <div class="row">
                            <div class="col-lg-6 col-sm-6">
                                <div class="widget">
                                    <h5>Company</h5>
                        
                                </div>
                            </div>
                            <div class="col-lg-6 col-sm-6">
                                <div class="widget">
                                    <h5>Our Services</h5>
                                    <ul>
                                        <li><a href="homepage-3.html#">About Us</a></li>
                                        <li><a href="homepage-3.html#">Our Services</a></li>
                                        <li><a href="homepage-3.html#">Study Case</a></li>
                                        <li><a href="homepage-3.html#">Blog</a></li>
                                        <li><a href="homepage-3.html#">Contact Us</a></li>
                                        <li><a href="homepage-3.html#">Testimonials</a></li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-sm-6 order-lg-2 order-sm-1">
                        <div class="widget">

                            <div class="fw-bold text-dark"><i class="icofont-location-pin me-2 id-color"></i>Office Location</div>
                            1st floor, Abdullahi Kure House
Niger State supply company, Muazu Muhammad road
Minna, Niger State.

                            <div class="spacer-20"></div>

                            <div class="fw-bold text-dark"><i class="icofont-envelope me-2 id-color"></i>Send a Message</div>
 contact@nigersme.com.ng

                            <div class="spacer-20"></div>

                            <div class="social-icons mb-sm-30">
                                <a href="homepage-3.html#"><i class="fa-brands fa-facebook-f"></i></a>
                                <a href="homepage-3.html#"><i class="fa-brands fa-x-twitter"></i></a>
                                <a href="homepage-3.html#"><i class="fa-brands fa-discord"></i></a>
                                <a href="homepage-3.html#"><i class="fa-brands fa-tiktok"></i></a>
                                <a href="homepage-3.html#"><i class="fa-brands fa-youtube"></i></a>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="subfooter relative z-1000">
                <div class="container">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="de-flex">
                                <div class="de-flex-col">
                                    Copyright 2024 - NIGER STATE SME AGENCY
                                </div>
                                <ul class="menu-simple">
                                    <li><a href="homepage-3.html#">Terms &amp; Conditions</a></li>
                                    <li><a href="homepage-3.html#">Privacy Policy</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <img src="images/misc/flowers-crop-3.webp" class="w-20 absolute top-0 end-0 sw-anim" alt="">
        </footer>
        <!-- footer close -->
    </div>


    <!-- Javascript Files
    ================================================== --><!--Start of Tawk.to Script-->
<script type="text/javascript">
var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
(function(){
var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
s1.async=true;
s1.src='https://embed.tawk.to/6738a34c2480f5b4f59efe30/1icqjrq20';
s1.charset='UTF-8';
s1.setAttribute('crossorigin','*');
s0.parentNode.insertBefore(s1,s0);
})();
</script>
<!--End of Tawk.to Script-->
    <script src="js/plugins.js"></script>
    <script src="js/designesia.js"></script>
    <script src="js/swiper.js"></script>
    <script src="js/custom-marquee.js"></script>
    <script src="js/custom-swiper-1.js"></script>

    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <!-- Your existing scripts -->

    <!-- JavaScript to Populate Edit Form -->
<script>
function editCompany(index) {
    const companies = <?= json_encode($companies) ?>;
    const company = companies[index];

    document.getElementById("editIndex").value = index;
    document.getElementById("editCompanyName").value = company.company_name;
    document.getElementById("editCompanyNumber").value = company.company_number;
    document.getElementById("editStatus").value = company.status;
    document.getElementById("editPhone").value = company.phone;
    document.getElementById("editEmail").value = company.email;

    document.getElementById("editForm").style.display = "block";
}
</script>
</body>
</html>